com.smartgwt.client.widgets.chart

## Class DrawnValue

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.chart.DrawnValue

-     public class DrawnValue
      extends DataClass

  Returns information about how a data value is rendered in a chart.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawnValue()`
    `DrawnValue(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getBarThickness()` For bar and column charts, thickness of the bar representing this data value.
    `java.lang.Integer` | `getEndAngle()` For pie mode only, start angle of the segment for the data value.
    `FacetValueMap` | `getFacetValues()` FacetValues for the data value.
    `static DrawnValue` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Double` | `getRadius()` For pie mode only, the radius of the segment for the data value.
    `Record` | `getRecord()` The data record of the data point from which this `drawnValue` was created.
    `java.lang.Integer` | `getStartAngle()` For pie mode only, start angle of the segment for the data value.
    `java.lang.Float` | `getValue()` Data value this `drawnValue` represents.
    `java.lang.Integer` | `getX()` X coordinate where the data value is rendered.
    `java.lang.Integer` | `getY()` Y coordinate where the data value is rendered.
    `void` | `setBarThickness(java.lang.Integer barThickness)` For bar and column charts, thickness of the bar representing this data value.
    `void` | `setEndAngle(java.lang.Integer endAngle)` For pie mode only, start angle of the segment for the data value.
    `void` | `setFacetValues(FacetValueMap facetValues)` FacetValues for the data value.
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setRadius(java.lang.Double radius)` For pie mode only, the radius of the segment for the data value.
    `void` | `setRecord(Record record)` The data record of the data point from which this `drawnValue` was created.
    `void` | `setStartAngle(java.lang.Integer startAngle)` For pie mode only, start angle of the segment for the data value.
    `void` | `setValue(java.lang.Float value)` Data value this `drawnValue` represents.
    `void` | `setX(java.lang.Integer x)` X coordinate where the data value is rendered.
    `void` | `setY(java.lang.Integer y)` Y coordinate where the data value is rendered.

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getJsObj, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, hashCode, isCreated, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DrawnValue

          public DrawnValue()

    - #### DrawnValue

          public DrawnValue(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static DrawnValue getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setBarThickness

          public void setBarThickness(java.lang.Integer barThickness)

      For bar and column charts, thickness of the bar representing this data value.
      Parameters:
        `barThickness` - barThickness Default value is null

    - #### getBarThickness

          public java.lang.Integer getBarThickness()

      For bar and column charts, thickness of the bar representing this data value.
      Returns:
        Integer

    - #### setEndAngle

          public void setEndAngle(java.lang.Integer endAngle)

      For pie mode only, start angle of the segment for the data value.
      Parameters:
        `endAngle` - endAngle Default value is null

    - #### getEndAngle

          public java.lang.Integer getEndAngle()

      For pie mode only, start angle of the segment for the data value.
      Returns:
        Integer

    - #### setFacetValues

          public void setFacetValues(FacetValueMap facetValues)

      FacetValues for the data value.
      Parameters:
        `facetValues` - facetValues Default value is null

    - #### getFacetValues

          public FacetValueMap getFacetValues()

      FacetValues for the data value.
      Returns:
        FacetValueMap

    - #### setRadius

          public void setRadius(java.lang.Double radius)

      For pie mode only, the radius of the segment for the data value.
      Parameters:
        `radius` - radius Default value is null

    - #### getRadius

          public java.lang.Double getRadius()

      For pie mode only, the radius of the segment for the data value.
      Returns:
        Double

    - #### setRecord

          public void setRecord(Record record)

      The data record of the data point from which this `drawnValue` was created.

      Note that a chart with an `inlined facet` or a `multi-axis chart` may define multiple data points in the same record, each of which will correspond to a different `drawnValue`. The way to uniquely identify the data value of this particular `drawnValue` is to use the `facetValues`.

      Parameters:
        `record` - record Default value is null

    - #### getRecord

          public Record getRecord()

      The data record of the data point from which this `drawnValue` was created.

      Note that a chart with an `inlined facet` or a `multi-axis chart` may define multiple data points in the same record, each of which will correspond to a different `drawnValue`. The way to uniquely identify the data value of this particular `drawnValue` is to use the `facetValues`.

      Returns:
        Record

    - #### setStartAngle

          public void setStartAngle(java.lang.Integer startAngle)

      For pie mode only, start angle of the segment for the data value.
      Parameters:
        `startAngle` - startAngle Default value is null

    - #### getStartAngle

          public java.lang.Integer getStartAngle()

      For pie mode only, start angle of the segment for the data value.
      Returns:
        Integer

    - #### setValue

          public void setValue(java.lang.Float value)

      Data value this `drawnValue` represents.
      Parameters:
        `value` - value Default value is null

    - #### getValue

          public java.lang.Float getValue()

      Data value this `drawnValue` represents.
      Returns:
        Float

    - #### setX

          public void setX(java.lang.Integer x)

      X coordinate where the data value is rendered. In pie mode, returns the X coordinate of the center of the pie where the data value appears.
      Parameters:
        `x` - x Default value is null

    - #### getX

          public java.lang.Integer getX()

      X coordinate where the data value is rendered. In pie mode, returns the X coordinate of the center of the pie where the data value appears.
      Returns:
        Integer

    - #### setY

          public void setY(java.lang.Integer y)

      Y coordinate where the data value is rendered. In pie mode, returns the Y coordinate of the center of the pie where the data value appears.
      Parameters:
        `y` - y Default value is null

    - #### getY

          public java.lang.Integer getY()

      Y coordinate where the data value is rendered. In pie mode, returns the Y coordinate of the center of the pie where the data value appears.
      Returns:
        Integer